;InnoSetupVersion=2.0.18

[Setup]
AppName=WZebra
AppVerName=WZebra 4.2.1
AppId=WZebra
AppPublisher=Gunnar Andersson & Lars Ivansson
AppPublisherURL=http://www.nada.kth.se/~gunnar/othello.html
AppSupportURL=http://www.nada.kth.se/~gunnar/othello.html
AppUpdatesURL=http://www.nada.kth.se/~gunnar/othello.html
DefaultDirName={pf}\WZebra
DefaultGroupName=WZebra
OutputBaseFilename=setup
Compression=bzip2
PrivilegesRequired=none
ChangesAssociations=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\wzebra.exe"; DestDir: "{app}"; 
Source: "{app}\bookinst.exe"; DestDir: "{app}"; 
Source: "{app}\OthelloBrowser.jar"; DestDir: "{app}"; 
Source: "{app}\coeffs2.bin"; DestDir: "{app}"; 
Source: "{app}\book.cmp"; DestDir: "{app}"; 
Source: "{app}\Help\time.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\template.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\dbwindow.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\window.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Retrogra.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\book_big.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Retrogra.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\anawindow.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\graphwindow.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\statbar.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\copyrght.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\export.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\book.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\setup.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\database.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Stable.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\eval.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\midgame.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\gameplay.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\about.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\settings.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\import.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\help.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image25.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image10.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image11.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image12.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image13.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image14.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image15.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image16.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image17.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image18.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image19.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image2.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image20.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image21.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image22.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image23.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image24.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image1.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image26.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image27.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image28.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image29.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image3.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image30.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image31.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image32.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image33.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image34.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image35.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image36.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image4.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image5.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image6.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image7.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image8.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Image9.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\attackRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\bgmove.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\BlackDc.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\blackNRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\blackRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\bmoveM.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\bmoveRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\BrkRepl.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\emptyRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\GotoEnd.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\GotoStrt.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\GraySq16.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\LoadGame.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\MoveDB.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\moveM.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\NewGame.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\NewOpen.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\oppmobRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Analyze.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Replay.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\SaveGame.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\StepForw.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Stopth.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\SUpBoard.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\swtchcol.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\TakeBack.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\TranspDD.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\TranspUD.BMP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\wgmove.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\whiteNRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\whiteRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\wmoveM.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\wmoveRT.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\GameToPr.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\PrToGame.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\SelfPlay.bmp"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Analyze.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\GameToPr.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\swtchcol.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\TranspUD.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\TranspDD.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\BrkRepl.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\GotoEnd.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\GotoStrt.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\LoadGame.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\NewGame.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\NewOpen.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\PrToGame.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Replay.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\SaveGame.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\SelfPlay.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\StepForw.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Stopth.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\SUpBoard.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\TakeBack.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\feedback.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\main.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\file.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\transp.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\zsearch.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\hash.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\faq.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\order.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\tools.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\Rotate90.jpg"; DestDir: "{app}\Help"; 
Source: "{app}\Help\OthelloBrowser.jar"; DestDir: "{app}\Help"; 
Source: "{app}\Help\settings_big.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\game.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\menues.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\opening.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\function.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\endgame.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\statbar.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\learn.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\u297x21.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\l1_21x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r1_20x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\l2_21x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r2_20x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\l3_21x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r3_20x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\l4_21x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r4_20x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\l5_21x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r5_20x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\l6_21x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r6_20x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\l7_21x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r7_20x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\l8_21x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r8_20x32.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\d297x20.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\b31.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\w31.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\e31.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\bl31.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\wl31.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\brain.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\search.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\wc01java.htm"; DestDir: "{app}\Help"; 
Source: "{app}\Help\wc01nojava.htm"; DestDir: "{app}\Help"; 
Source: "{app}\Help\strategy.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\r31.png"; DestDir: "{app}\Help"; 
Source: "{app}\Help\options.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\history.html"; DestDir: "{app}\Help"; 
Source: "{app}\Help\crew.html"; DestDir: "{app}\Help"; 
Source: "{app}\bitmaps\Analyze.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\BrkRepl.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\EvalRepl.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\GameToPr.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\GotoEnd.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\GotoStrt.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\Learn.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\LoadGame.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\NewGame.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\NewOpen.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\PrToGame.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\Replay.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\Retrogra.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\Rotate90.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\SUpBoard.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\SaveGame.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\SelfPlay.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\Stable.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\StepForw.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\Stopth.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\TakeBack.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\TranspDD.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\TranspUD.bmp"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\frame.fnt"; DestDir: "{app}\bitmaps"; 
Source: "{app}\bitmaps\swtchcol.bmp"; DestDir: "{app}\bitmaps"; 

[Registry]
Root: HKCR; Subkey: ".wzg"; ValueType: String; ValueData: "WZebra game file"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "WZebra game file"; ValueType: String; ValueData: "WZebra game file"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "WZebra game file\DefaultIcon"; ValueType: String; ValueData: "{app}\wzebra.exe,0"; 
Root: HKCR; Subkey: "WZebra game file\shell\open\command"; ValueType: String; ValueData: """{app}\wzebra.exe"" ""%1"""; 

[Run]
Filename: "{app}\bookinst.exe"; 
Filename: "{app}\wzebra.exe"; Description: "Launch WZebra"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\WZebra"; Filename: "{app}\wzebra.exe"; 
Name: "{group}\Online help"; Filename: "{app}\Help\main.html"; 
Name: "{userdesktop}\WZebra"; Filename: "{app}\wzebra.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\wzebra.ini"; 
Type: files; Name: "{app}\zebra.log"; 
Type: files; Name: "{app}\error.log"; 
Type: files; Name: "{app}\book.bin"; 
Type: files; Name: "{app}\book.bin.old"; 
Type: files; Name: "{app}\install.bat"; 
Type: dirifempty; Name: "{app}"; 
